Page MenuHomePhabricator

Fix Notice: Avro failed to serialize record for CirrusSearchRequestSet with the new schema
Closed, ResolvedPublic

Description

When we deployed config change for the new avro schema we've seen ton of errors like this:

Notice: Avro failed to serialize record for CirrusSearchRequestSet : {"hits":[{"profileName":"Missing expected field"},{"profileName":"Missing expected field"}]} in /srv/mediawiki/php-1.27.0-wmf.19/includes/debug/logger/monolog/AvroFormatter.php on line 9

We reverted to the previous schema.

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterFix avro serialization, missing profileName property

Event Timeline

dcausse created this task.Apr 6 2016, 3:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2016, 3:44 PM
Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptApr 6 2016, 3:45 PM

Change 283235 had a related patch set uploaded (by EBernhardson):
Fix avro serialization, missing profileName property

https://gerrit.wikimedia.org/r/283235

It would be good to add some unit tests for this, but i'm not really sure how to hit all the right code paths yet...

Change 283235 merged by jenkins-bot:
Fix avro serialization, missing profileName property

https://gerrit.wikimedia.org/r/283235

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 10:02 PM
Deskana closed this task as Resolved.Apr 26 2016, 10:15 PM
Deskana triaged this task as Medium priority.